C2DIOVectorfield Class Reference
Input/output of files

a class for the IO of 2D vector fields More...

`#include <mia/2d/vfio.hh>`

Inheritance diagram for C2DIOVectorfield:
[legend]
Collaboration diagram for C2DIOVectorfield:
[legend]

## Public Member Functions

| C2DIOVectorfield ()
| C2DIOVectorfield (const C2DBounds &_Size)
| C2DIOVectorfield (const C2DFVectorfield &org)
| C2DIOVectorfield (const C2DIOVectorfield &org)
C2DIOVectorfield * | clone () const __attribute__((warn_unused_result))
Public Member Functions inherited from C2DFVectorfield
void | update_as_inverse_of (const C2DFVectorfield &other, float tol, int maxiter)
| evaluate this vector field as the inverse of another
void | update_by_velocity (const C2DFVectorfield &velocity_field, float time_step)
Public Member Functions inherited from T2DVectorfield< C2DFVector >
C2DFVector | get_interpol_val_at (const C2DFVector &p) const
| This function should really go away.
C2DFVector | get_pixel_size () const
void | set_pixel_size (const C2DFVector &pixel)
| T2DVectorfield ()
Public Member Functions inherited from T2DDatafield< C2DFVector >
const_iterator | begin () const
const_iterator | begin_at (size_t x, size_t y) const
range_iterator | begin_range (const C2DBounds &begin, const C2DBounds &end)
void | clear ()
const_iterator | end () const
range_iterator | end_range (const C2DBounds &begin, const C2DBounds &end)
void | get_data_line_x (size_t y, std::vector< C2DFVector > &buffer) const
void | get_data_line_y (size_t x, std::vector< C2DFVector > &buffer) const
Range | get_range (const C2DBounds &start, const C2DBounds &end)
const C2DBounds & | get_size () const
void | make_single_ref () __attribute__((deprecated))
const_reference | operator() (size_t x, size_t y) const
T2DDatafield< C2DFVector > & | operator= (const T2DDatafield< C2DFVector > &org)
const_reference | operator[] (size_t idx) const
void | put_data_line_x (size_t y, const std::vector< C2DFVector > &buffer)
void | put_data_line_y (size_t x, const std::vector< C2DFVector > &buffer)
size_type | size () const
| T2DDatafield ()
virtual | ~T2DDatafield ()
| CAttributedData ()
| CAttributedData (const CAttributedData &org)
| CAttributedData (PAttributeMap attr)
CAttributedData & | operator= (const CAttributedData &org)
| Assignemt operator.
const PAttribute | get_attribute (const std::string &key) const
CAttributeMap::const_iterator | begin_attributes () const
CAttributeMap::const_iterator | end_attributes () const
void | set_attribute (const std::string &key, PAttribute attr)
void | set_attributes (CAttributeMap::const_iterator begin, CAttributeMap::const_iterator end)
void | set_attribute (const std::string &key, const std::string &value)
template<typename T>
void | set_attribute (const std::string &key, const T &value)
void | set_attribute (const std::string &key, const char *value)
const std::string | get_attribute_as_string (const std::string &key) const
| returns the requested attribute as string, returns an empty string if attribute doesn't exist
template<typename T>
const T | get_attribute_as (const std::string &key) const
template<typename T>
const T | get_attribute_as (const std::string &key, T default_value) const
void | delete_attribute (const std::string &key)
bool | has_attribute (const std::string &key) const
void | print (std::ostream &os) const
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Additional Inherited Members

Public Types inherited from T2DDatafield< C2DFVector >
typedef ::std::vector< typename __holder_type_dispatch< C2DFVector >::type > | data_array
| type for the flat reprentation of the 2D data field
Static Public Attributes inherited from T2DVectorfield< C2DFVector >
static const char * | data_descr
| plug.in related type description string

## Detailed Description

a class for the IO of 2D vector fields

Remarks
  this class is obsolete, new code should use the 2D transformation IO

Definition at line 40 of file 2d/vfio.hh.

## Constructor & Destructor Documentation

## C2DIOVectorfield() [1/4]

C2DIOVectorfield::C2DIOVectorfield | ( |  | ) |

Referenced by C2DIOVectorfield(), and clone().

## C2DIOVectorfield() [2/4]

C2DIOVectorfield::C2DIOVectorfield | ( | const C2DBounds & | _Size | ) |

Constructor to create empty Datafield if given size

## C2DIOVectorfield() [3/4]

C2DIOVectorfield::C2DIOVectorfield | ( | const C2DIOVectorfield & | org | ) |

copy - Constructor

References C2DIOVectorfield().

## C2DIOVectorfield() [4/4]

C2DIOVectorfield::C2DIOVectorfield | ( | const C2DFVectorfield & | org | ) |

copy from normal vectorfield constructor

## Member Function Documentation

## clone()

C2DIOVectorfield * C2DIOVectorfield::clone | ( |  | ) | const

Create a copy of this object (needed for CDatapool)

Returns
  a dynamically allocated copy

References C2DIOVectorfield().

The documentation for this class was generated from the following file:

- 2d/vfio.hh